/**
 * Data model pour les mutations
 */
export default class MutationDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      mutationcategorie: new fields.StringField({ initial: "tares_communes" }),
      hascomplexite: new fields.BooleanField({ initial: false }),
      complexite: new fields.NumberField({ initial: 0, integer: true })
    };
  }
}
